| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
featureMap.c File Reference
`#include <ARX/AR/ar.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <ARX/AR2/config.h>`
`#include <ARX/AR2/featureSet.h>`
Include dependency graph for featureMap.c:

## Functions
int | ar2FreeFeatureMap (AR2FeatureMapT *featureMap)
int | ar2SaveFeatureMap (char *filename, char *ext, AR2FeatureMapT *featureMap)
AR2FeatureMapT * | ar2ReadFeatureMap (char *filename, char *ext)
AR2FeatureMapT * | ar2GenFeatureMap (AR2ImageT *image, int ts1, int ts2, int search_size1, int search_size2, float max_sim_thresh, float sd_thresh)
AR2FeatureCoordT * | ar2SelectFeature (AR2ImageT *image, AR2FeatureMapT *featureMap, int ts1, int ts2, int search_size2, int occ_size, float max_sim_thresh, float min_sim_thresh, float sd_thresh, int *num)
AR2FeatureCoordT * | ar2SelectFeature2 (AR2ImageT *image, AR2FeatureMapT *featureMap, int ts1, int ts2, int search_size2, int occ_size, float max_sim_thresh, float min_sim_thresh, float sd_thresh, int *num)
int | ar2PrintFeatureInfo (AR2ImageT *image, AR2FeatureMapT *featureMap, int ts1, int ts2, int search_size2, int cx, int cy)

## Function Documentation

## ◆ ar2FreeFeatureMap()

int ar2FreeFeatureMap | ( | AR2FeatureMapT * | featureMap | ) |

## ◆ ar2GenFeatureMap()

AR2FeatureMapT * ar2GenFeatureMap | ( | AR2ImageT * | image,
|  | int | ts1,
|  | int | ts2,
|  | int | search_size1,
|  | int | search_size2,
|  | float | max_sim_thresh,
|  | float | sd_thresh
| ) |  |

## ◆ ar2PrintFeatureInfo()

int ar2PrintFeatureInfo | ( | AR2ImageT * | image,
|  | AR2FeatureMapT * | featureMap,
|  | int | ts1,
|  | int | ts2,
|  | int | search_size2,
|  | int | cx,
|  | int | cy
| ) |  |

## ◆ ar2ReadFeatureMap()

AR2FeatureMapT * ar2ReadFeatureMap | ( | char * | filename,
|  | char * | ext
| ) |  |

## ◆ ar2SaveFeatureMap()

int ar2SaveFeatureMap | ( | char * | filename,
|  | char * | ext,
|  | AR2FeatureMapT * | featureMap
| ) |  |

## ◆ ar2SelectFeature()

AR2FeatureCoordT * ar2SelectFeature | ( | AR2ImageT * | image,
|  | AR2FeatureMapT * | featureMap,
|  | int | ts1,
|  | int | ts2,
|  | int | search_size2,
|  | int | occ_size,
|  | float | max_sim_thresh,
|  | float | min_sim_thresh,
|  | float | sd_thresh,
|  | int * | num
| ) |  |

## ◆ ar2SelectFeature2()

AR2FeatureCoordT * ar2SelectFeature2 | ( | AR2ImageT * | image,
|  | AR2FeatureMapT * | featureMap,
|  | int | ts1,
|  | int | ts2,
|  | int | search_size2,
|  | int | occ_size,
|  | float | max_sim_thresh,
|  | float | min_sim_thresh,
|  | float | sd_thresh,
|  | int * | num
| ) |  |